VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::Power Interface Reference

The `Power` interface provides methods for managing the power state of a virtual machine. More...

Inherited by vmware::vcenter::vm::PowerStub.

List of all members.

## Public Member Functions
vmware.vcenter.vm.PowerTypes.Info | Get (string vm)
| Returns the power state information of a virtual machine.
vmware.vcenter.vm.PowerTypes.Info | Get (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the power state information of a virtual machine.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.PowerTypes.Info > | GetAsync (string vm)
| Returns the power state information of a virtual machine.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.PowerTypes.Info > | GetAsync (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the power state information of a virtual machine.
void | Start (string vm)
| Powers on a powered-off or suspended virtual machine.
void | Start (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Powers on a powered-off or suspended virtual machine.
global::System.Threading.Tasks.Task | StartAsync (string vm)
| Powers on a powered-off or suspended virtual machine.
global::System.Threading.Tasks.Task | StartAsync (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Powers on a powered-off or suspended virtual machine.
void | Stop (string vm)
| Powers off a powered-on or suspended virtual machine.
void | Stop (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Powers off a powered-on or suspended virtual machine.
global::System.Threading.Tasks.Task | StopAsync (string vm)
| Powers off a powered-on or suspended virtual machine.
global::System.Threading.Tasks.Task | StopAsync (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Powers off a powered-on or suspended virtual machine.
void | Suspend (string vm)
| Suspends a powered-on virtual machine.
void | Suspend (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Suspends a powered-on virtual machine.
global::System.Threading.Tasks.Task | SuspendAsync (string vm)
| Suspends a powered-on virtual machine.
global::System.Threading.Tasks.Task | SuspendAsync (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Suspends a powered-on virtual machine.
void | Reset (string vm)
| Resets a powered-on virtual machine.
void | Reset (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Resets a powered-on virtual machine.
global::System.Threading.Tasks.Task | ResetAsync (string vm)
| Resets a powered-on virtual machine.
global::System.Threading.Tasks.Task | ResetAsync (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Resets a powered-on virtual machine.

## Detailed Description

The `Power` interface provides methods for managing the power state of a virtual machine.

## Member Function Documentation

vmware.vcenter.vm.PowerTypes.Info vmware::vcenter::vm::Power::Get | ( | string | vm | ) |

Returns the power state information of a virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration or execution state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  Power state information for the specified virtual machine.

Implemented in vmware::vcenter::vm::PowerStub.

vmware.vcenter.vm.PowerTypes.Info vmware::vcenter::vm::Power::Get | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the power state information of a virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration or execution state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Power state information for the specified virtual machine.

Implemented in vmware::vcenter::vm::PowerStub.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.PowerTypes.Info> vmware::vcenter::vm::Power::GetAsync | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the power state information of a virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration or execution state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Power state information for the specified virtual machine.

Implemented in vmware::vcenter::vm::PowerStub.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.PowerTypes.Info> vmware::vcenter::vm::Power::GetAsync | ( | string | vm | ) |

Returns the power state information of a virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration or execution state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  Power state information for the specified virtual machine.

Implemented in vmware::vcenter::vm::PowerStub.

void vmware::vcenter::vm::Power::Reset | ( | string | vm | ) |

Resets a powered-on virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is powered off or suspended.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is performing another operation
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Implemented in vmware::vcenter::vm::PowerStub.

void vmware::vcenter::vm::Power::Reset | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Resets a powered-on virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is powered off or suspended.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is performing another operation
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::PowerStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::Power::ResetAsync | ( | string | vm | ) |

Resets a powered-on virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is powered off or suspended.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is performing another operation
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Implemented in vmware::vcenter::vm::PowerStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::Power::ResetAsync | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Resets a powered-on virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is powered off or suspended.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is performing another operation
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::PowerStub.

void vmware::vcenter::vm::Power::Start | ( | string | vm | ) |

Powers on a powered-off or suspended virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual machine is already powered on.
  vmware.vapi.std.errors.Unsupported | if the virtual machine does not support being powered on (e.g. marked as a template, serving as a fault-tolerance secondary virtual machine).
  vmware.vapi.std.errors.UnableToAllocateResource | if resources cannot be allocated for the virtual machine (e.g. physical resource allocation policy cannot be satisfied, insufficient licenses are available to run the virtual machine).
  vmware.vapi.std.errors.ResourceInaccessible | if resources required by the virtual machine are not accessible (e.g. virtual machine configuration files or virtual disks are on inaccessible storage, no hosts are available to run the virtual machine).
  vmware.vapi.std.errors.ResourceInUse | if resources required by the virtual machine are in use (e.g. virtual machine configuration files or virtual disks are locked, host containing the virtual machine is an HA failover host).
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is performing another operation.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Implemented in vmware::vcenter::vm::PowerStub.

void vmware::vcenter::vm::Power::Start | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Powers on a powered-off or suspended virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual machine is already powered on.
  vmware.vapi.std.errors.Unsupported | if the virtual machine does not support being powered on (e.g. marked as a template, serving as a fault-tolerance secondary virtual machine).
  vmware.vapi.std.errors.UnableToAllocateResource | if resources cannot be allocated for the virtual machine (e.g. physical resource allocation policy cannot be satisfied, insufficient licenses are available to run the virtual machine).
  vmware.vapi.std.errors.ResourceInaccessible | if resources required by the virtual machine are not accessible (e.g. virtual machine configuration files or virtual disks are on inaccessible storage, no hosts are available to run the virtual machine).
  vmware.vapi.std.errors.ResourceInUse | if resources required by the virtual machine are in use (e.g. virtual machine configuration files or virtual disks are locked, host containing the virtual machine is an HA failover host).
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is performing another operation.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::PowerStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::Power::StartAsync | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Powers on a powered-off or suspended virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual machine is already powered on.
  vmware.vapi.std.errors.Unsupported | if the virtual machine does not support being powered on (e.g. marked as a template, serving as a fault-tolerance secondary virtual machine).
  vmware.vapi.std.errors.UnableToAllocateResource | if resources cannot be allocated for the virtual machine (e.g. physical resource allocation policy cannot be satisfied, insufficient licenses are available to run the virtual machine).
  vmware.vapi.std.errors.ResourceInaccessible | if resources required by the virtual machine are not accessible (e.g. virtual machine configuration files or virtual disks are on inaccessible storage, no hosts are available to run the virtual machine).
  vmware.vapi.std.errors.ResourceInUse | if resources required by the virtual machine are in use (e.g. virtual machine configuration files or virtual disks are locked, host containing the virtual machine is an HA failover host).
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is performing another operation.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::PowerStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::Power::StartAsync | ( | string | vm | ) |

Powers on a powered-off or suspended virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual machine is already powered on.
  vmware.vapi.std.errors.Unsupported | if the virtual machine does not support being powered on (e.g. marked as a template, serving as a fault-tolerance secondary virtual machine).
  vmware.vapi.std.errors.UnableToAllocateResource | if resources cannot be allocated for the virtual machine (e.g. physical resource allocation policy cannot be satisfied, insufficient licenses are available to run the virtual machine).
  vmware.vapi.std.errors.ResourceInaccessible | if resources required by the virtual machine are not accessible (e.g. virtual machine configuration files or virtual disks are on inaccessible storage, no hosts are available to run the virtual machine).
  vmware.vapi.std.errors.ResourceInUse | if resources required by the virtual machine are in use (e.g. virtual machine configuration files or virtual disks are locked, host containing the virtual machine is an HA failover host).
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is performing another operation.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Implemented in vmware::vcenter::vm::PowerStub.

void vmware::vcenter::vm::Power::Stop | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Powers off a powered-on or suspended virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual machine is already powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is performing another operation.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::PowerStub.

void vmware::vcenter::vm::Power::Stop | ( | string | vm | ) |

Powers off a powered-on or suspended virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual machine is already powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is performing another operation.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Implemented in vmware::vcenter::vm::PowerStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::Power::StopAsync | ( | string | vm | ) |

Powers off a powered-on or suspended virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual machine is already powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is performing another operation.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Implemented in vmware::vcenter::vm::PowerStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::Power::StopAsync | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Powers off a powered-on or suspended virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual machine is already powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is performing another operation.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::PowerStub.

void vmware::vcenter::vm::Power::Suspend | ( | string | vm | ) |

Suspends a powered-on virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual machine is already suspended.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is performing another operation.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Implemented in vmware::vcenter::vm::PowerStub.

void vmware::vcenter::vm::Power::Suspend | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Suspends a powered-on virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual machine is already suspended.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is performing another operation.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::PowerStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::Power::SuspendAsync | ( | string | vm | ) |

Suspends a powered-on virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual machine is already suspended.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is performing another operation.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Implemented in vmware::vcenter::vm::PowerStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::Power::SuspendAsync | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Suspends a powered-on virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual machine is already suspended.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is performing another operation.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::PowerStub.

The documentation for this interface was generated from the following file:

- Power.cs